<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CelsiusToFahrenheit StructType
 * @subpackage Structs
 */
class CelsiusToFahrenheit extends AbstractStructBase
{
    /**
     * The Celsius
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Celsius;
    /**
     * Constructor method for CelsiusToFahrenheit
     * @uses CelsiusToFahrenheit::setCelsius()
     * @param string $celsius
     */
    public function __construct($celsius = null)
    {
        $this
            ->setCelsius($celsius);
    }
    /**
     * Get Celsius value
     * @return string|null
     */
    public function getCelsius()
    {
        return $this->Celsius;
    }
    /**
     * Set Celsius value
     * @param string $celsius
     * @return \StructType\CelsiusToFahrenheit
     */
    public function setCelsius($celsius = null)
    {
        // validation for constraint: string
        if (!is_null($celsius) && !is_string($celsius)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($celsius, true), gettype($celsius)), __LINE__);
        }
        $this->Celsius = $celsius;
        return $this;
    }
}
